## itk3 3.3

=== debian/changelog ===
itk3 (3.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Properly handle symlink_to_dir conversion for
    /usr/share/doc/itk3 (Closes: #774890)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 17 Jan 2015 16:59:58 +0000

itk3 (3.3-5) unstable; urgency=low

  * Switched to the 3.0 (quilt) source package format.
  * Bumped the debhelper compatibility version to 9.
  * Added multi-arch support.
  * Bumped standards-version to 3.9.5.
  * Replaced tcl8.5 by libtcl in dependencies list. This means that both
    libtcl8.5 and libtcl8.6 can be used to link itk3 to.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Jul 2014 18:37:03 +0400

itk3 (3.3-4) unstable; urgency=low

  * Removed unnecessary recommended dependency of itk3-doc on itcl3-doc.
  * Removed Chris Waters from the uploaders list (closes: #664109).
  * Bumped standards-version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 May 2012 07:38:35 +0400

itk3 (3.3-3) unstable; urgency=low

  * Fixed FTBFS introduced by moving tclConfig.sh to /usr/lib
    (closes: #618145).
  * Added ${misc:Depends} substitution variable to debian/control.
  * Bumped standards-version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Aug 2011 20:19:11 +0400

itk3 (3.3-2) unstable; urgency=low

  * Fixed build for non-linux Debian architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 18 Sep 2009 10:42:16 +0400

itk3 (3.3-1) unstable; urgency=low

  * New upstream release, moving itk3 to a separate source package.
  * Switched to Tcl/Tk 8.5 as a dependency (closes: #497447).
  * Switched to quilt for patch management.
  * Remove static library from the binary package.
  * Bumped standards-version to 3.8.3.
  * Added version to shlibs which bounds itk3 dependencies from both sides.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Sep 2009 18:30:08 +0400

itcl3 (3.2.1-5) unstable; urgency=low

  * Fixed installing lintian overrides for itcl3 and itk3 (moved them from
    binary-indep to binary-arch target).
  * Removed dependency of itcl3-dev and itk3-dev on build-essential package
    libc6-dev.
  * Loosened dependencies of itcl3-dev and itk3-dev on itcl3-doc and itk3-doc
    from recommends to suggests.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 23 Mar 2008 10:34:42 +0300

itcl3 (3.2.1-4) unstable; urgency=low

  * New maintainer Debian Tcl/Tk Packagers
    <pkg-tcltk-devel@lists.alioth.debian.org>.
  * Acknowledged NMU by Amaya Rodrigo Sastre.
  * Added homepage header to debian/control.
  * Removed non-UTF-8 characters from the package descriptions
    (closes: #242690).
  * Build the package using the default Tcl/Tk version.
  * Bumped standards version to 3.7.3.
  * Bumped debhelper compatibility level to 5.
  * Replaced deprecated Source-Version substitution variable by
    binary:Version in debian/control.
  * Moved itcl3, itk3 package files to a subdirectory of /usr/share/tcltk
    directory to meke the package compliant to Debian Tcl/Tk policy.
  * Changed itcl3-doc and itk3-doc packages section to doc.
  * Fixed call to make clean and make distclean in clean target of
    debian/rules.
  * Fixed clean after the package build (closes: #424422).
  * Added missing string substitutions in itclConfig.sh and itkConfig.sh
    (closes: #244597).
  * Overridden lintian warnings package-name-doesnt-match-sonames for itcl3
    and itk3 packages as they aren't usual library packages.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Feb 2008 19:06:33 +0300

itcl3 (3.2.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #346711.
  * Credit and Big Thanks to Justin Pryzby
    <justinpryzby@users.sourceforge.net> for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 19 Jan 2006 12:54:55 +0100

itcl3 (3.2.1-3) unstable; urgency=low

  * Added conflicts with old version of the insight package, which
    included its own internal versions of the itcl3.2 libraries
    (closes: #210199, #210200).
  * Hack pkgIndex.tcl to load the proper shared library (closes: #21119).

 -- Chris Waters <xtifr@debian.org>  Tue, 16 Sep 2003 15:26:19 -0700

itcl3 (3.2.1-2) unstable; urgency=low

  * Don't override CFLAGS in debian/rules - this is no longer supported
    upstream, and (among other things), it causes the -fPIC flag to go
    away (closes: #209153).
  * Fix debian/rules to properly generate itkConfig.sh (closes: #209175).

 -- Chris Waters <xtifr@debian.org>  Mon,  8 Sep 2003 15:57:12 -0700

itcl3 (3.2.1-1) unstable; urgency=low

  * Changed direct symlink to indirect one to match dependencies (keeps
    lintian quiet).
  * Added quick README.Debian to explain package renaming.
  * First actual release to Debian archives.

 -- Chris Waters <xtifr@debian.org>  Sun, 24 Aug 2003 15:02:03 -0700

itcl3 (3.2.1-0pre2) unstable; urgency=low

  * Second prerelease testing package.  Changed package name(s).  
  * Removed provides lines for itclsh and itkwish (which no are no longer
    provided).
  * Although this itcl *should* work with any tcl8.x, my tests indicate
    that it actually needs 8.4.

 -- Chris Waters <xtifr@debian.org>  Wed, 20 Aug 2003 13:43:33 -0700

itcl3.2 (3.2.1-0pre1) unstable; urgency=low

  * New itcl package, prerelease testing package.

 -- Chris Waters <xtifr@debian.org>  Mon, 21 Jul 2003 19:57:16 -0700
