=== debian/control ===
Source: itk3
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), libxt-dev, itcl3-dev (>> 3.4.1-1), tk8.5-dev
Standards-Version: 3.9.5
Homepage: http://incrtcl.sourceforge.net/

Package: itk3
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libtk, itcl3, ${misc:Depends}
Suggests: itk3-doc
Conflicts: insight (<= 5.3+cvs.2003.08.30-1)
Multi-Arch: same
Description: [incr Tk] OOP extension for Tk - run-time files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains everything you need to run itk scripts and
 itk-enabled apps.

Package: itk3-dev
Section: devel
Priority: optional
Architecture: any
Depends: itcl3-dev, tk-dev | tk8.5-dev, itk3 (= ${binary:Version}), ${misc:Depends}
Conflicts: itk-dev, itcl3.0-dev (<< 3.0.1)
Suggests: itk3-doc
Multi-Arch: same
Description: [incr Tk] OOP extension for Tk - development files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itk.

Package: itk3-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: itk3
Conflicts: itk-dev, itk-doc
Provides: itk-doc
Description: [incr Tk] OOP extension for Tk - manual pages
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the man pages for the classes provided by itk.
