=== debian/rules ===
#!/usr/bin/make -f

vmajor=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/[^0-9]*\([0-9]*\).*/\1/')
vminor=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/[^0-9]*[0-9]*\.\([0-9]*\).*/\1/')
v=$(vmajor).$(vminor)
v1=$(vmajor).$(shell expr $(vminor) + 1)
dtmp=$(shell pwd)/debian/tmp

tclv=8.5

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		       --includedir=/usr/include/itcl$(vmajor) \
		       --enable-shared \
		       --enable-threads \
		       --with-itcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv) \
		       --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv)

override_dh_auto_build:
	$(MAKE) LIBS="-Wl,-soname,\$$@.1"

ovarride_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	#
	rm -f itkConfig.sh pkgIndex.tcl

override_dh_auto_install:
	$(MAKE) prefix=$(dtmp)/usr \
		exec_prefix=$(dtmp)/usr \
		includedir=$(dtmp)/usr/include/itcl$(vmajor) \
		install
	#
	# Fix up the itk libraries.
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*/libitk$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitk$(v).so.1
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*/*.a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -sf libitk$(v).so.1 $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitk$(v).so
	#  (itkConfig.sh doesn't get installed at all, so we install it here)
	sed -e "s:^\(ITK_\(BUILD_\)\?LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litk$(v)':" \
	    -e "s:^\(ITK_\(BUILD_\)\?STUB_LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litkstub$(v)':" \
	    -e "s:^\(ITK_SRC_DIR\)=.*$$:\1='/usr/include/itcl$(vmajor)/itk-private':" \
	    -e "s:^\(ITK_LIB_FILE\)=.*$$:\1=libitk$(v).so.1:" \
	    -e "s:^\(ITK_STUB_LIB_FILE\)=.*$$:\1=libitkstub$(v).a:" \
	    -e "s:^\(ITCL_VERSION\)=.*$$:\1='$(v)':" \
	    -e "s:^\(ITCL_MAJOR_VERSION\)=.*$$:\1='$(vmajor)':" \
	    -e "s:^\(ITCL_MINOR_VERSION\)=.*$$:\1='$(vminor)':" \
	    itkConfig.sh > $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itkConfig.sh
	#
	# Move the Tcl library to /usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	install -d -m 755 $(dtmp)/usr/share/tcltk/itk$(v)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk$(v)/tclIndex $(dtmp)/usr/share/tcltk/itk$(v)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk$(v)/*.itk $(dtmp)/usr/share/tcltk/itk$(v)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk$(v)/itk.tcl $(dtmp)/usr/share/tcltk/itk$(v)
	install -d -m 755 $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk$(v) $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	#
	# Fix up the pkgIndex.tcl
	sed -i -e's/\.so/.so.1/' -e's/\$$dir/\/usr lib $(DEB_HOST_MULTIARCH)/' \
	    $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/itk$(v)/pkgIndex.tcl
	#
	# Fix up the include files.
	install -d $(dtmp)/usr/include/itcl$(vmajor)/itk-private/generic
	cp generic/*.h $(dtmp)/usr/include/itcl$(vmajor)/itk-private/generic
	#
	# Fix up the manpages.
	mv $(dtmp)/usr/share/man/mann $(dtmp)/usr/share/man/man3
	#
	cd $(dtmp)/usr/share/man/man3 && \
	  for i in *.n ; do \
	    sed -i -e's/^\.TH \([^ ]\+\) n /.TH \1 3itk /' $$i ; \
	    mv $$i `echo $$i | sed -e 's/\.n/\.3itk/'` ; \
          done

override_dh_auto_test:
	# Tests require X-Window, so, diable them

override_dh_link:
	rm -r debian/itk3-dev/usr/share/doc/itk3-dev
	dh_link

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'itk3 (>= $(v)~), itk3 (<< $(v1)~)'

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_clean override_dh_auto_test \
	override_dh_auto_install override_dh_makeshlibs override_dh_link get-orig-source
