## itk3 3.4.2

=== debian/changelog ===
itk3 (3.4.2-5) unstable; urgency=medium

  * Add the debian/watch uscan config file.
  * Remove unnecessary pre-depends constraints, cleanup the debian/control
    file.
  * Fix rebuilding the source package after successful build (closes: #1045935).
  * Bumped standards-version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2025 15:25:35 +0300

itk3 (3.4.2-4) unstable; urgency=medium

  * Fix FTBFS with GCC 14 (closes: #1075096).
  * Bumped the debhelper compatibility version to 13.
  * Bumped standards-version to 4.7.0.
  * Fix the override_dh_clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jul 2024 12:17:02 +0300

itk3 (3.4.2-3) unstable; urgency=medium

  * Add conflicts for itk3-dev and itk3-doc with tk-itk-dev and
    tk-itk-doc respectively to forbid their coinstallation along with
    the prospective tk-itk4-dev and tk-itk4-doc packages.
  * Add the VCS headers to debian/control.
  * Use machine-readable debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 07 Mar 2018 11:38:56 +0300

itk3 (3.4.2-2) unstable; urgency=medium

  * Switched to Tcl/Tk 8.6 since Tcl/Tk 8.5 is to be removed from Debian.
  * Bumped the debhelper compatibility version to 10.
  * Bumped standards-version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Jan 2018 07:55:10 +0300

itk3 (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed no longer necessary patch.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Mar 2016 10:49:38 +0300

itk3 (3.3-6) unstable; urgency=medium

  * Incorporated changes from the NMU by Jonathan Wiltshire.
  * Fixed building the architecture-independent package only (closes: #806051).
  * Added a false positive to the lintian overrides list for itk3.
  * Bumped standards-version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 15:52:16 +0300
