=== debian/control ===
Source: itk3
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), libxt-dev, itcl3-dev (>> 3.4.1-1), tk8.6-dev
Standards-Version: 4.7.2
Homepage: https://incrtcl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/itk3
Vcs-Git: https://salsa.debian.org/tcltk-team/itk3.git

Package: itk3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libtk, itcl3, ${misc:Depends}
Suggests: itk3-doc
Conflicts: insight (<= 5.3+cvs.2003.08.30-1)
Description: [incr Tk] OOP extension for Tk - run-time files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains everything you need to run itk scripts and
 itk-enabled apps.

Package: itk3-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: itcl3-dev, tk-dev | tk8.6-dev, itk3 (= ${binary:Version}), ${misc:Depends}
Conflicts: itk-dev, itcl3.0-dev (<< 3.0.1), tk-itk-dev
Provides: tk-itk-dev
Suggests: itk3-doc
Description: [incr Tk] OOP extension for Tk - development files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itk.

Package: itk3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: itk3
Conflicts: itk-dev, itk-doc, tk-itk-doc
Provides: itk-doc, tk-itk-doc
Description: [incr Tk] OOP extension for Tk - manual pages
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the man pages for the classes provided by itk.
