=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 v1=$(vmajor).$(shell expr $(vminor) + 1)
 dtmp=$(shell pwd)/debian/tmp
 
-tclv=8.5
+tclv=8.6
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -15,7 +15,12 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+	[ -f configure.backup ] || cp configure configure.backup
+	dh_autoreconf
+
 override_dh_auto_configure:
+	LDFLAGS="$(LDFLAGS) -Wl,-soname,\$$@.1" \
 	dh_auto_configure -- \
 		       --includedir=/usr/include/itcl$(vmajor) \
 		       --enable-shared \
@@ -25,12 +30,14 @@
 		       --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv)
 
 override_dh_auto_build:
-	$(MAKE) LIBS="-Wl,-soname,\$$@.1"
+	$(MAKE)
 
-ovarride_dh_clean:
-	[ ! -f Makefile ] || $(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) distclean
-	#
+override_dh_clean:
+	dh_clean
+	[ ! -f configure.backup ] || mv configure.backup configure
+	# library/Archetype.itk.orig does not differ from library/Archetype.itk but is
+	# being removed when cleaning, so restore it
+	[ -f library/Archetype.itk.orig ] || cp library/Archetype.itk library/Archetype.itk.orig
 	rm -f itkConfig.sh pkgIndex.tcl
 
 override_dh_auto_install:
@@ -83,14 +90,15 @@
 	# Tests require X-Window, so, diable them
 
 override_dh_link:
-	rm -r debian/itk3-dev/usr/share/doc/itk3-dev
+	rm -rf debian/itk$(vmajor)-dev/usr/share/doc/itk$(vmajor)-dev
 	dh_link
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'itk3 (>= $(v)~), itk3 (<< $(v1)~)'
+	dh_makeshlibs -a -V 'itk$(vmajor) (>= $(v)~), itk$(vmajor) (<< $(v1)~)'
 
-source diff:
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+get-orig-source:
+	wget -O itk3_3.4.2.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/incrtcl/itk3.4.2.tar.gz
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_clean override_dh_auto_test \
 	override_dh_auto_install override_dh_makeshlibs override_dh_link get-orig-source
